<%@ page import="org.apache.jetspeed.util.template.JetspeedTool" %>
<%@ page import="org.apache.jetspeed.services.rundata.JetspeedRunData" %>
<%@ page import="org.apache.turbine.services.jsp.JspService" %>
<%@ page import="org.apache.ecs.ConcreteElement" %>
<%@ page import="org.apache.jetspeed.portal.Portlet" %>

<%
    JetspeedRunData   data = (JetspeedRunData)pageContext.getAttribute(JspService.RUNDATA, PageContext.REQUEST_SCOPE);
    data.setMode(data.CUSTOMIZE);
    JetspeedTool   jetspeed = new JetspeedTool(data);
    Portlet customized = (Portlet)data.getCustomized();
    // The above is returning null every time. Why?? --wab 23 feb 2002

    if (customized != null)
    {
        ConcreteElement   result  =  jetspeed.getCustomizer(customized).getContent(data);
    
        //The ECS element must serialize in the character encoding
        // of the response
        result.setCodeSet( data.getResponse().getCharacterEncoding() );
        result.output( data.getResponse().getWriter() );
    }
    else 
    {
        data.getResponse().getWriter().println("No portlet to customize (null instance)");
    }
%>



